#ifndef GRAMMAR_PRINTER_H_
#define GRAMMAR_PRINTER_H_

#include <iostream>
#include "grammar/Grammar.h"
#include "grammar/Rule.h"

#include <map>
#include <list>
#include <set>

class GrammarPrinter
{
  std::ostream& m_Out;

public:
  GrammarPrinter( std::ostream& out );
  void print( const grammar::Grammar & grammar );
};

#endif /* GRAMMAR_PRINTER_H_ */
