#ifndef __ABSTRACTFATORECONVERTER_H__
#define __ABSTRACTFATORECONVERTER_H__

#include <automaton/FSM/FSM.h>
#include <regexp/RegExp.h>
#include <AlibException.h>

#include "../include/macros.h"
#include "../abstract/Conversion.h"

namespace conversions
{

class AbstractFAtoREConverter : public Conversion
{
public:
    virtual regexp::RegExp convert( ) = 0;
    virtual ~AbstractFAtoREConverter( void );

protected:
    AbstractFAtoREConverter( const automaton::FSM & automaton );

    const automaton::FSM & m_automaton;
    regexp::RegExp m_re;
};

} /* namespace conversions */

#endif /* __ABSTRACTFATORECONVERTER_H__ */
