#ifndef AUTOMATON_PRINTER_H_
#define AUTOMATON_PRINTER_H_

#include <iostream>
#include "automaton/FSM/FSM.h"

class AutomatonPrinter {
  std::ostream& m_Out;
  
  void printStateSymbolTo(automaton::FSM& automaton, automaton::State from, alphabet::Symbol input);
  
public:
  AutomatonPrinter(std::ostream& out);
  void print(automaton::FSM& automaton);
};

#endif /* AUTOMATON_PRINTER_H_ */