/*
 * AlibException.cpp
 *
 *  Created on: Apr 1, 2013
 *      Author: martin
 */

#include "AlibException.h"

namespace alib {

using namespace std;

AlibException::AlibException() {

}

AlibException::AlibException(const string& cause) {
	this->cause = cause;
}

AlibException::~AlibException() throw (){

}

const char* AlibException::what() const throw() {
	return cause.c_str();
}

const std::string& AlibException::getCause() const {
	return cause;
}

} /* namespace alib */


